class f6D extends f_xj
{public double func(double x[])
{return -x[0]*x[1]*Math.exp(-(x[0]+x[1])*(x[0]+x[1]));}
}
public class surfacePlotE3
{       public static void main(String arg[])
        {  f6D f=new f6D();
           surfacePlot p=new surfacePlot(f,-6.0,6.0,-6.0,6.0,-5.0,5.0,"X","Y","Z",100);
           p.plot();
        }	
}